package.json 依赖安装失败「ChromeDriver」

  今天安装依赖的时候「npm install」,提示了一些错误信息后就中止了。仔细看了下错误信息,发现是有一个依赖由于超时「下载失败」导致安装失败了。

ChromeDriver installation failed Error with http(s) request: Error: connect ETIMEDOUT 216.58.220.208:443

  为了避免以后出现这个问题,我决定在npm 的全局配置里面添加ChromeDriver 的cdn 配置「淘宝源」。

chromedriver_cdnurl=https://npm.taobao.org/mirrors/chromedriver

ps: 如果你不知道你的npm 全局配置文件的位置「.npmrc」,可以执行下面的命令来确认一下。

npm config get userconfig
您的浏览器已过时

要正常浏览本网站请升级您的浏览器。现在升级

×